aboutsummaryrefslogtreecommitdiff
path: root/bin/edda
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:06:39 +1200
committerTom Ryder <tom@sanctum.geek.nz>2017-04-05 20:46:47 +1200
commitc8ab406749124d2e762ad5cf53963070113afd0f (patch)
tree54c9721a06957ebe7098a211eea803b0230c0f5d /bin/edda
parentHandle POSIX correctness in ~/.bash_profile (diff)
downloaddotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.tar.gz
dotfiles-c8ab406749124d2e762ad5cf53963070113afd0f.zip
Apply runtime shebanging to POSIX shell
Diffstat (limited to 'bin/edda')
-rwxr-xr-xbin/edda34
1 files changed, 0 insertions, 34 deletions
diff --git a/bin/edda b/bin/edda
deleted file mode 100755
index 6af88a5f..00000000
--- a/bin/edda
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-# Run ed(1) over multiple files, duplicating stdin.
-self=edda
-
-# Need at least one file
-if [ "$#" -eq 0 ] ; then
- printf >&2 'edda: Need at least one file\n'
- exit 2
-fi
-
-# Create a temporary directory with name in $td, and handle POSIX-ish traps to
-# remove it when the script exits.
-td=
-cleanup() {
- [ -n "$td" ] && rm -fr -- "$td"
- if [ "$1" != EXIT ] ; then
- trap - "$1"
- kill "-$1" "$$"
- fi
-}
-for sig in EXIT HUP INT TERM ; do
- # shellcheck disable=SC2064
- trap "cleanup $sig" "$sig"
-done
-td=$(mktd "$self") || exit
-
-# Duplicate stdin into a file
-script=$td/script
-cat >"$script" || exit
-
-# Run ed(1) over each file with the stdin given
-for file ; do
- ed -- "$file" <"$script"
-done